net.corda.core.node

## Class ServiceEntry

- net.corda.core.node.ServiceEntry

-     public class ServiceEntry

  Information for an advertised service including the service specific identity information. The identity can be used in flows and is distinct from the Node's legalIdentity

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceEntry(ServiceInfo info, Party identity)` Information for an advertised service including the service specific identity information. The identity can be used in flows and is distinct from the Node's legalIdentity

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceInfo` | `component1()`
    `Party` | `component2()`
    `ServiceEntry` | `copy(ServiceInfo info, Party identity)` Information for an advertised service including the service specific identity information. The identity can be used in flows and is distinct from the Node's legalIdentity
    `boolean` | `equals(java.lang.Object p)`
    `Party` | `getIdentity()`
    `ServiceInfo` | `getInfo()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### ServiceEntry

          public ServiceEntry(ServiceInfo info,
                              Party identity)

      Information for an advertised service including the service specific identity information. The identity can be used in flows and is distinct from the Node's legalIdentity

  - ### Method Detail

    - #### getInfo

          public ServiceInfo getInfo()

    - #### getIdentity

          public Party getIdentity()

    - #### component1

          public ServiceInfo component1()

    - #### component2

          public Party component2()

    - #### copy

          public ServiceEntry copy(ServiceInfo info,
                                   Party identity)

      Information for an advertised service including the service specific identity information. The identity can be used in flows and is distinct from the Node's legalIdentity

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)